curl --request POST \
--url https://cloud.memsource.com/web/api2/v3/users/{userUid}/disableTwoFactorAuth \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v3/users/{userUid}/disableTwoFactorAuth"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v3/users/{userUid}/disableTwoFactorAuth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "<string>",
"firstName": "<string>",
"id": 123,
"lastName": "<string>",
"role": "ADMIN",
"timezone": "<string>",
"uid": "<string>",
"userName": "<string>",
"active": true,
"assignableRoles": [
"<string>"
],
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"credentialsReadonly": true,
"dateCreated": "2023-11-07T05:31:56Z",
"dateDeleted": "2023-11-07T05:31:56Z",
"editorVersion": "<string>",
"jobsInProgress": 123,
"lastLogin": "2023-11-07T05:31:56Z",
"note": "<string>",
"pendingEmailChange": true,
"receiveNewsletter": true,
"twoFactorAuthEnabled": true
}Disable two-factor authentication
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the user whose two-factor authentication to disable
Response
OK
User with all belonging objects
Email address
255First name
255Internal numeric ID
Last name
255User role
ADMIN, PROJECT_MANAGER, LINGUIST, GUEST, SUBMITTER, PORTAL_MEMBER IANA timezone identifier
255Unique identifier (UID)
255Username (login name)
255When false, the user account is deactivated
Roles that the calling user may assign to this user
Show child attributes
Show child attributes
When true, the user credentials are read-only due to SSO
Date the user account was created
Date the user account was deleted; null if the account is active
Preferred editor version for the user
Number of jobs currently in progress for this user
Date and time of the user's last successful login
Internal note about the user
4096When true, the user has a pending email change
When true, the user receives newsletter emails
When true, the user has two-factor authentication configured
Was this page helpful?